proc_doulongvec_ms_jiffies_minmax
Prev | sysctl interface | Next

## Name

proc_doulongvec_ms_jiffies_minmax — read a vector of millisecond values with min/max values

## Synopsis

`int proc_doulongvec_ms_jiffies_minmax (` | ctl_table * | table,
| int | write,
| struct file * | filp,
| void __user * | buffer,
| size_t * | lenp,
| loff_t * | ppos`)`;

## Arguments

`table`

  the sysctl table

`write`

  `TRUE` if this is a write to the sysctl file

`filp`

  the file structure

`buffer`

  the user buffer

`lenp`

  the size of the user buffer

`ppos`

  file position

## Description

Reads/writes up to table->maxlen/sizeof(unsigned long) unsigned long values from/to the user buffer, treated as an ASCII string. The values are treated as milliseconds, and converted to jiffies when they are stored.

This routine will ensure the values are within the range specified by table->extra1 (min) and table->extra2 (max).

Returns 0 on success.

Prev | Up | Next
proc_doulongvec_minmax | Home | proc_dointvec_jiffies